Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.platform
Class Mica2.LED

    java.lang.Object
      avrora.sim.platform.Mica2.LED

All Implemented Interfaces:
  Microcontroller.Pin.Output

Enclosing class:
  Mica2

protected class Mica2.LED
extends java.lang.Object
implements Microcontroller.Pin.Output

Field Summary
`protected java.lang.String` | `color`
`protected int` | `colornum`
`protected boolean` | `initialized`
`protected int` | `nodeId`
`protected boolean` | `on`

Constructor Summary
`protected` | `Mica2.LED(int n, java.lang.String c)`

Method Summary
`void` | `disableOutput()` The `disableOutput()` method is called by the simulator when the program changes the direction of the pin.
`void` | `enableOutput()` The `enableOutput()` method is called by the simulator when the program changes the direction of the pin.
`void` | `print()`
`void` | `write(boolean level)` The `write()` method is called by the simulator when the program writes a logical level to the pin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialized

    protected boolean initialized

### on

    protected boolean on

### colornum

    protected final int colornum

### color

    protected final java.lang.String color

### nodeId

    protected final int nodeId

Constructor Detail

### Mica2.LED

    protected Mica2.LED(int n,
                        java.lang.String c)

Method Detail

### write

    public void write(boolean level)

  Description copied from interface: `Microcontroller.Pin.Output`
  The `write()` method is called by the simulator when the program writes a logical level to the pin. The device can then take the appropriate action.

  Specified by:
    `write` in interface `Microcontroller.Pin.Output`
  Parameters:
    `level` - a boolean representing the logical level of the write

### print

    public void print()

### enableOutput

    public void enableOutput()

  Description copied from interface: `Microcontroller.Pin.Output`
  The `enableOutput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

  Specified by:
    `enableOutput` in interface `Microcontroller.Pin.Output`

### disableOutput

    public void disableOutput()

  Description copied from interface: `Microcontroller.Pin.Output`
  The `disableOutput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

  Specified by:
    `disableOutput` in interface `Microcontroller.Pin.Output`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD